# FormatOctalBare
<span class="source-link">[[Source]](src/format/format_spec.md#L9)</span>
```pony
primitive val FormatOctalBare is
  FormatSpec val
```

#### Implements

* [FormatSpec](format-FormatSpec.md) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/format/format_spec.md#L9)</span>


```pony
new val create()
: FormatOctalBare val^
```

#### Returns

* [FormatOctalBare](format-FormatOctalBare.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/format/format_spec.md#L10)</span>


```pony
fun box eq(
  that: FormatOctalBare val)
: Bool val
```
#### Parameters

*   that: [FormatOctalBare](format-FormatOctalBare.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/format/format_spec.md#L10)</span>


```pony
fun box ne(
  that: FormatOctalBare val)
: Bool val
```
#### Parameters

*   that: [FormatOctalBare](format-FormatOctalBare.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

